### Function

# Gtk param_spec_expression

#### Declaration [src]

    GParamSpec*
    gtk_param_spec_expression (
      const char* name,
      const char* nick,
      const char* blurb,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GParamSpec` instance for a property holding a `GtkExpression`.

See `g_param_spec_internal()` for details on the property strings.

#### Parameters

`name` | `const char*`
| Canonical name of the property.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`nick` | `const char*`
| A user-readable name for the property.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`blurb` | `const char*`
| A user-readable description of the property.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`flags` | `GParamFlags`
| Flags for the property.

#### Return value

Returns: | `GParamSpec*`
| A newly created property specification.
| The caller of the function takes ownership of the data, and is responsible for freeing it.